TetraJSEvents.registerStatSorter(event => {

  let reaching = TetraJS$StatBarHelper.multiply(4 * Math.log(3),
    TetraJS$StatBarHelper.effectLevel("kubejs_reaching"))
  event.registerBasicSorter(reaching, "[ 延伸 ]", "onedecimal")

  let attributeGetter$1 = TetraJS$StatBarHelper.attribute("kubejs:fire_damage", false)
  let attributeGetter$2 = TetraJS$StatBarHelper.attribute("kubejs:pestilence", false)

  event.registerBasicSorter(attributeGetter$1, "[ 火焰伤害 ]", "onedecimal")
  event.registerBasicSorter(attributeGetter$2, "[ 瘟疫伤害 ]", "onedecimal")

  let registerSorter = (event, Key) => {
    let displayKey = "tetra.stats." + Key + ".sorter"
    // 获取效果等级statGetter
    let LevelGetter = TetraJS$StatBarHelper.effectLevel(Key)
    // 获取效率statGetter
    // let EfficiencyGetter = TetraJS$StatBarHelper.effectEfficiency(Key)
    event.registerBasicSorter(LevelGetter, displayKey, "onedecimal")
  }
  let excludeEffects = ["kubejs_reaching"];
  let itemsEffect = JsonIO.readJson("kubejs/client_scripts/yi/json/material/material_effect.json");
  itemsEffect.forEach((c) => {
    let effect_key = c.get("key").getAsString()
    //排除一些描述特殊的effect
    if (excludeEffects.includes(effect_key)) return
    // console.log(effect_key)
    registerSorter(event, effect_key)
  })
})



